> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuralverge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# OLX user

> Get an OLX seller profile by id, uuid or profile URL: account type, registration, last seen, response time and business details. 5 point per returned record.



## OpenAPI

````yaml /openapi.json post /functions/v1/run-olx-users
openapi: 3.0.0
info:
  title: NeuralVerge API
  version: 1.0.0
  description: >-
    NeuralVerge API for AI research workflows, search, extraction, and
    structured data source execution.
servers:
  - url: https://api.neuralverge.ai
    description: NeuralVerge API
security:
  - BearerAuth: []
tags:
  - name: AI Research
    description: Research workflows and session tracking.
  - name: AI Extract
    description: Schema-driven extraction workflows.
  - name: AI Agents
    description: Reusable saved agents executed through the API.
  - name: Search
    description: Fast, synchronous web search with no session or polling.
  - name: Company intelligence
    description: Company profile lookups from company databases.
  - name: E-commerce & Marketplaces
    description: >-
      Product, seller, and review lookups on Amazon, eBay, Walmart, AliExpress,
      and Alibaba.
  - name: Enrichment
    description: Email and phone enrichment, validation, and discovery.
  - name: Product reviews
    description: >-
      Software and business reviews from Capterra, Gartner Peer Insights, and
      Trustpilot.
  - name: Social media
    description: LinkedIn profile, company, and people lookups.
paths:
  /functions/v1/run-olx-users:
    post:
      tags:
        - E-commerce & Marketplaces
      summary: OLX user
      description: >-
        Get an OLX seller profile by id, uuid or profile URL: account type,
        registration, last seen, response time and business details. 5 point per
        returned record.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                domain:
                  description: >-
                    Marketplace. Options: olx.pl = olx.pl (Poland), olx.ua =
                    olx.ua (Ukraine), olx.ro = olx.ro (Romania), olx.bg = olx.bg
                    (Bulgaria), olx.pt = olx.pt (Portugal), olx.kz = olx.kz
                    (Kazakhstan), olx.uz = olx.uz (Uzbekistan)
                  type: string
                  enum:
                    - olx.pl
                    - olx.ua
                    - olx.ro
                    - olx.bg
                    - olx.pt
                    - olx.kz
                    - olx.uz
                  default: olx.pl
                user:
                  description: User. e.g. User id, uuid or profile URL, e.g. 888517085
                  type: string
              required:
                - user
            example:
              user: User id, uuid or profile URL, e.g. 888517085
      responses:
        '200':
          description: Run completed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  session_id:
                    type: string
                    description: Session identifier for this run.
                  kind:
                    type: string
                    description: Data source identifier for this endpoint.
                  domain:
                    type: string
                  user:
                    type: string
                  user_id:
                    type: string
                  human:
                    type: string
                    description: Markdown summary of the result, for display.
                  machine:
                    type: object
                    properties:
                      user:
                        type: object
                        properties:
                          id:
                            type: string
                          uuid:
                            type: string
                          name:
                            type: string
                          image: {}
                          alias: {}
                          user_type:
                            type: string
                          is_business:
                            type: boolean
                          has_business_page: {}
                          is_online:
                            type: boolean
                          created_at:
                            type: integer
                          last_login_at:
                            type: integer
                          last_seen_at:
                            type: integer
                          offers_url:
                            type: string
                          social_network_account_type: {}
                          response_time: {}
                          response_time_label: {}
                          latitude:
                            type: number
                          longitude:
                            type: number
                          business_type: {}
                          company_name: {}
                          description: {}
                          address_street: {}
                          address_number: {}
                          address_postcode: {}
                          address_city: {}
                          website_url: {}
                          banner: {}
                      proxy_traffic_bytes:
                        type: integer
                    description: Structured result payload.
                  total_points:
                    type: integer
                    description: Points charged for this run.
              example:
                session_id: 11111111-1111-1111-1111-111111111111
                kind: olx_user
                domain: olx.pl
                user: '2361055558'
                user_id: '2361055558'
                human: |-
                  # OLX user

                  - **Domain:** olx.pl
                  - **User:** 2361055558
                  - **Proxy traffic:** 1.6 KB
                  - **Name:** rotting_vamp
                  - **Account:** private
                  - **Registered:** 2024-07-11 15:18
                  - **Last seen:** 2026-09-30 14:51
                machine:
                  user:
                    id: '2361055558'
                    uuid: 5ffe6c78-223e-481b-b603-0e1f44929d95
                    name: rotting_vamp
                    image: null
                    alias: null
                    user_type: user
                    is_business: false
                    has_business_page: null
                    is_online: false
                    created_at: 1720711109
                    last_login_at: 1790195932
                    last_seen_at: 1790779889
                    offers_url: https://www.olx.pl/oferty/user/2zMKpg/
                    social_network_account_type: null
                    response_time: null
                    response_time_label: null
                    latitude: 49.55815
                    longitude: 22.20117
                    business_type: null
                    company_name: null
                    description: null
                    address_street: null
                    address_number: null
                    address_postcode: null
                    address_city: null
                    website_url: null
                    banner: null
                  proxy_traffic_bytes: 1669
                total_points: 5
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '402':
          description: Payment Required
        '500':
          description: Internal Error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````